# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [3.7.0](https://github.com/nuxt/create-nuxt-app/compare/v3.6.0...v3.7.0) (2021-06-27)


### Bug Fixes

* **cna-template:** use npx to invoke locally installed binaries ([#774](https://github.com/nuxt/create-nuxt-app/issues/774)) ([a9844ee](https://github.com/nuxt/create-nuxt-app/commit/a9844eec09262138f364e03aa4165bf580f6fc8a))
* **husky:** stdin is not a tty in git bash ([#766](https://github.com/nuxt/create-nuxt-app/issues/766)) ([807546d](https://github.com/nuxt/create-nuxt-app/commit/807546d65f107378c15503c5f1585b9131a7e469))
* **jest:** jest 27 changed the default test environment to node ([8c27b44](https://github.com/nuxt/create-nuxt-app/commit/8c27b44ade0b3750cacc3a31f2c8934f6d80f515))
* **template:** nodemismatch error in ios safari ([#770](https://github.com/nuxt/create-nuxt-app/issues/770)) ([41463d1](https://github.com/nuxt/create-nuxt-app/commit/41463d16912e0026ac533cb0b8441cb7a9e5c8b8))
* **template:** update vant template demo ([#776](https://github.com/nuxt/create-nuxt-app/issues/776)) ([de45005](https://github.com/nuxt/create-nuxt-app/commit/de45005e276ce2882b4294dbb3cb40504228cb45))
* **templates:** remove not being maintained vuesax ([#795](https://github.com/nuxt/create-nuxt-app/issues/795)) ([e7211b3](https://github.com/nuxt/create-nuxt-app/commit/e7211b3c1d2a683c2376cfa8f2437555ccf526c7))
* **templates:** remove not recommended eslint-plugin-prettier ([#797](https://github.com/nuxt/create-nuxt-app/issues/797)) ([5d8c498](https://github.com/nuxt/create-nuxt-app/commit/5d8c49878c98cc2842b65fa8edaa201d9d3bc0aa))
* **templates:** use PascalCase component names in single-file components ([ed17e67](https://github.com/nuxt/create-nuxt-app/commit/ed17e67e1499a69f9c6eb364c0df6b64cd5a2a19))
* add vuetify to dependencies ([#787](https://github.com/nuxt/create-nuxt-app/issues/787)) ([3610d12](https://github.com/nuxt/create-nuxt-app/commit/3610d123fb9f2725bf7fd9c15137568159240c6d))


### Features

* update design ([#792](https://github.com/nuxt/create-nuxt-app/issues/792)) ([b7d2db9](https://github.com/nuxt/create-nuxt-app/commit/b7d2db9f10ff2bb1fedbe65800f1ac43cb84fad1))
* **template:** update to husky v6 ([#715](https://github.com/nuxt/create-nuxt-app/issues/715)) ([5ee3feb](https://github.com/nuxt/create-nuxt-app/commit/5ee3feb3dd9ae776f335d835c93ad9f609344a8b))


### Performance Improvements

* use npm ci instead of npm i in GH Action Workflow ([#762](https://github.com/nuxt/create-nuxt-app/issues/762)) ([8c9b77d](https://github.com/nuxt/create-nuxt-app/commit/8c9b77deb7ef64f5a4b7a484c4a9e3ef4d0a3208))





# [3.6.0](https://github.com/nuxt/create-nuxt-app/compare/v3.5.2...v3.6.0) (2021-03-19)


### Bug Fixes

* **ts:** remove @nuxt/typescript-runtime ([#721](https://github.com/nuxt/create-nuxt-app/issues/721)) ([cbd58dc](https://github.com/nuxt/create-nuxt-app/commit/cbd58dc3242c90668f771d9d68bc5e48606a4274))
* **ui:** add index page for vant ([cf2461b](https://github.com/nuxt/create-nuxt-app/commit/cf2461b5159c5cf4accfd90d01ffa2d89b5830fc))
* **vuesax:** add boxicons ([#722](https://github.com/nuxt/create-nuxt-app/issues/722)) ([d121169](https://github.com/nuxt/create-nuxt-app/commit/d12116967a7bed3d96d4543bdd56561c4126e72c))


### Features

* Add CircleCI and Travis CI ([#737](https://github.com/nuxt/create-nuxt-app/issues/737)) ([1cfe0d4](https://github.com/nuxt/create-nuxt-app/commit/1cfe0d4b161593db986995bb2e677700ac83f457))
* Add nuxt windicss. ([#753](https://github.com/nuxt/create-nuxt-app/issues/753)) ([a0da946](https://github.com/nuxt/create-nuxt-app/commit/a0da9468f0f95b4577e1dbbc7bb303396d99c1b8))
* add vant ui framework ([#710](https://github.com/nuxt/create-nuxt-app/issues/710)) ([37bfea3](https://github.com/nuxt/create-nuxt-app/commit/37bfea3a7f16e2e92941053b8bff40e5ed414abf))
* update @nuxtjs/tailwindcss to v4 ([#751](https://github.com/nuxt/create-nuxt-app/issues/751)) ([691bd8a](https://github.com/nuxt/create-nuxt-app/commit/691bd8a1d2cbcc3807c7b2acb19f7369216bd579))
* update iview to viewui ([#714](https://github.com/nuxt/create-nuxt-app/issues/714)) ([43da555](https://github.com/nuxt/create-nuxt-app/commit/43da55582dc87bb1a1f80747b70181bc6f5fb174))
* upgrade @oruga-ui/oruga to version 0.3.3 ([#717](https://github.com/nuxt/create-nuxt-app/issues/717)) ([77f948c](https://github.com/nuxt/create-nuxt-app/commit/77f948cca6e3eab3c16e7ed8ed8b1539a726fb27))





## [3.5.2](https://github.com/nuxt/create-nuxt-app/compare/v3.5.1...v3.5.2) (2021-01-28)

**Note:** Version bump only for package cna-template





## [3.5.1](https://github.com/nuxt/create-nuxt-app/compare/v3.5.0...v3.5.1) (2021-01-28)


### Bug Fixes

* **types:** include @nuxtjs/axios types ([#691](https://github.com/nuxt/create-nuxt-app/issues/691)) ([c4680b0](https://github.com/nuxt/create-nuxt-app/commit/c4680b0018edefdd5de0a771858faa83c7d43b37))
* **ui:** remove @nuxtjs/bulma ([#695](https://github.com/nuxt/create-nuxt-app/issues/695)) ([371bb59](https://github.com/nuxt/create-nuxt-app/commit/371bb5999acaf68bf29acc994ded130bd6c0c9ce))





# [3.5.0](https://github.com/nuxt/create-nuxt-app/compare/v3.4.0...v3.5.0) (2021-01-17)


### Bug Fixes

* **link:** add eslint-plugin-vue to devDependency ([7cef146](https://github.com/nuxt/create-nuxt-app/commit/7cef1461933464294857ebad31ea0574d2f23e29))
* **lint:** use double quotes for glob syntax ([#684](https://github.com/nuxt/create-nuxt-app/issues/684)) ([2e1aff8](https://github.com/nuxt/create-nuxt-app/commit/2e1aff819eac10e7a18588917b06ec5bc611e968))
* **template:** htmlAttrs typo ([af72313](https://github.com/nuxt/create-nuxt-app/commit/af723137760844299545209973cc237191aba2a8))
* **types:** add nuxt content support for typescript ([#688](https://github.com/nuxt/create-nuxt-app/issues/688)) ([ecbc960](https://github.com/nuxt/create-nuxt-app/commit/ecbc9607126bc11e82850a959ac463a61694bda4))
* e2e tests are configured with project's nuxt.config ([#670](https://github.com/nuxt/create-nuxt-app/issues/670)) ([be14839](https://github.com/nuxt/create-nuxt-app/commit/be14839914ccb3b15b5f9ad7a68d8784fd9d8327))


### Features

* add BalmUI to UI framework ([#636](https://github.com/nuxt/create-nuxt-app/issues/636)) ([d57c992](https://github.com/nuxt/create-nuxt-app/commit/d57c992b966f2ff0c70cfbfb2eac95c5a4ed65d9))
* **pwa:** add default language to nuxt.config ([#653](https://github.com/nuxt/create-nuxt-app/issues/653)) ([31dd1a3](https://github.com/nuxt/create-nuxt-app/commit/31dd1a39bb134738a04de93961e6dea16807ef8f))
* add Nightwatch.js as test framework option ([#572](https://github.com/nuxt/create-nuxt-app/issues/572)) ([75985e4](https://github.com/nuxt/create-nuxt-app/commit/75985e47a841fe8898f6f17b265fe6566984db8e))
* add Oruga as UI framework option ([#635](https://github.com/nuxt/create-nuxt-app/issues/635)) ([b6facaf](https://github.com/nuxt/create-nuxt-app/commit/b6facaf6383c30699879f7b5e4e2433bf22adfa7))
* don't install @nuxtjs/eslint-config and @nuxtjs/eslint-config-typescript together ([#633](https://github.com/nuxt/create-nuxt-app/issues/633)) ([60795d1](https://github.com/nuxt/create-nuxt-app/commit/60795d152992b68cd833530068b4549e132ecc19))





# [3.4.0](https://github.com/nuxt/create-nuxt-app/compare/v3.3.0...v3.4.0) (2020-10-06)


### Bug Fixes

* **vuetify:** updated layout to be on par with vuetify 2.x ([#619](https://github.com/nuxt/create-nuxt-app/issues/619)) ([4ceb4c1](https://github.com/nuxt/create-nuxt-app/commit/4ceb4c176d9a829d67485e1a099001f7b743ea60))


### Features

* add GitHub Action out-of-the-box ([#621](https://github.com/nuxt/create-nuxt-app/issues/621)) ([ad67d2f](https://github.com/nuxt/create-nuxt-app/commit/ad67d2f4dbd01a08be7d01056e626d26c03e0951))





# [3.3.0](https://github.com/nuxt/create-nuxt-app/compare/v3.2.0...v3.3.0) (2020-09-17)


### Bug Fixes

* **template:** bump typescript packages versions ([#599](https://github.com/nuxt/create-nuxt-app/issues/599)) ([b00e836](https://github.com/nuxt/create-nuxt-app/commit/b00e836b43cd8f0d7cb459be59c227efc3503cd3))
* eslint issue with ava ([#595](https://github.com/nuxt/create-nuxt-app/issues/595)) ([f77d6bd](https://github.com/nuxt/create-nuxt-app/commit/f77d6bd4d361644fc4d4006ecff87f5d7cc93a56))
* updated layout to be in par with vuetify 2.x ([#597](https://github.com/nuxt/create-nuxt-app/issues/597)) ([4d404ff](https://github.com/nuxt/create-nuxt-app/commit/4d404ff6bb1f9e0c0017a2e83b52ab8f68bf4051))


### Features

* add commitlint as linting tools option ([#592](https://github.com/nuxt/create-nuxt-app/issues/592)) ([33817a8](https://github.com/nuxt/create-nuxt-app/commit/33817a8bfcc4162e32030de4232defd1f99b0c33))
* add support for dependabot ([#604](https://github.com/nuxt/create-nuxt-app/issues/604)) ([80e04e9](https://github.com/nuxt/create-nuxt-app/commit/80e04e9644ea26b2b7243d3cdb5ee968bb57c511))
* use `core-js@3` by default ([#594](https://github.com/nuxt/create-nuxt-app/issues/594)) ([146a312](https://github.com/nuxt/create-nuxt-app/commit/146a3122a20dd235608a1f513ec3e83ecae1aa40))





# [3.2.0](https://github.com/nuxt/create-nuxt-app/compare/v3.1.0...v3.2.0) (2020-07-27)


### Bug Fixes

* **template:** fix package.json dev script for typescript ([#568](https://github.com/nuxt/create-nuxt-app/issues/568)) ([1f64e5a](https://github.com/nuxt/create-nuxt-app/commit/1f64e5afbb973422a34c7a64252cea9a3411664c))
* **vuetify:** v-content is deprecated ([f547654](https://github.com/nuxt/create-nuxt-app/commit/f547654c4b478a2c59aa1ed49867da9251202a9a))


### Features

* **template:** update typescript ([#567](https://github.com/nuxt/create-nuxt-app/issues/567)) ([251c50d](https://github.com/nuxt/create-nuxt-app/commit/251c50d7589dd2568252ebedefebda9779eca33f))
* add chakra-ui-vue ([#573](https://github.com/nuxt/create-nuxt-app/issues/573)) ([c9ede63](https://github.com/nuxt/create-nuxt-app/commit/c9ede63abdad60462fd3280fbd211a857e8fe1e8))





# [3.1.0](https://github.com/nuxt-community/create-nuxt-app/compare/v3.0.0...v3.1.0) (2020-06-22)


### Features

* prepare for Nuxt 2.13 ([#529](https://github.com/nuxt-community/create-nuxt-app/issues/529)) ([47aa7c1](https://github.com/nuxt-community/create-nuxt-app/commit/47aa7c1eaf743118bb0b0d8fca78ed58bfe30b05)), closes [#509](https://github.com/nuxt-community/create-nuxt-app/issues/509) [#513](https://github.com/nuxt-community/create-nuxt-app/issues/513) [#544](https://github.com/nuxt-community/create-nuxt-app/issues/544) [#547](https://github.com/nuxt-community/create-nuxt-app/issues/547) [#540](https://github.com/nuxt-community/create-nuxt-app/issues/540) [#541](https://github.com/nuxt-community/create-nuxt-app/issues/541)





# [3.0.0](https://github.com/nuxt/create-nuxt-app/compare/v2.16.0...v3.0.0) (2020-06-18)


### Bug Fixes

* **ava:** expect vm truthy as vue instance assertion ([46594db](https://github.com/nuxt/create-nuxt-app/commit/46594dbb35eefe4684adb3eb1a3f6b647d7c9850))
* **jest:** downgrate vue-jest to v3 ([8a75b51](https://github.com/nuxt/create-nuxt-app/commit/8a75b51986ff7aa5dd4fb4135b5991b723594f89))
* **prettier:** add stylelint-config-prettier ([50aa285](https://github.com/nuxt/create-nuxt-app/commit/50aa2851f80fc177add7185d485758dceca29d7d))


### Features

* **template:** remove dotenv module ([#544](https://github.com/nuxt/create-nuxt-app/issues/544)) ([ba93891](https://github.com/nuxt/create-nuxt-app/commit/ba938913bab21a96f29678c91897a6294003f32d))
* add content module ([#540](https://github.com/nuxt/create-nuxt-app/issues/540)) ([9aba2f6](https://github.com/nuxt/create-nuxt-app/commit/9aba2f692e716e7e0e027cca447fa2c260df2a40))





# [2.16.0](https://github.com/nuxt-community/create-nuxt-app/compare/v2.15.0...v2.16.0) (2020-05-18)


### Bug Fixes

* **ava:** e2e test hangs until timeout ([8393524](https://github.com/nuxt-community/create-nuxt-app/commit/8393524cd99db4847c339fac5e594419cba7f6bb))
* **lint:** disable eslint nuxt.config.js extend line ([#491](https://github.com/nuxt-community/create-nuxt-app/issues/491)) ([a7d3142](https://github.com/nuxt-community/create-nuxt-app/commit/a7d3142b8374338aa8e0a9aabe77fc030f4b1b93))
* **lint-staged:** run eslint only for staged files ([9133954](https://github.com/nuxt-community/create-nuxt-app/commit/91339542f6cb249e3ef3abe2445227a15d58480d))


### Features

* add WebdriverIO as test framework option ([#528](https://github.com/nuxt-community/create-nuxt-app/issues/528)) ([9a1497f](https://github.com/nuxt-community/create-nuxt-app/commit/9a1497f04e446a3b91b3eed1fef6273ad717b2f0))
* **deps:** update eslint to v7 ([916f288](https://github.com/nuxt-community/create-nuxt-app/commit/916f2887052d97272ed25c5f339a21286520e95b))
* **lint:** add stylelint-config-standard and separate lint scripts ([#493](https://github.com/nuxt-community/create-nuxt-app/issues/493)) ([8034d68](https://github.com/nuxt-community/create-nuxt-app/commit/8034d68109231b62e134f1fa06eb1ae72f9fd8ed))
* **template:** remove author and description from prompt ([#466](https://github.com/nuxt-community/create-nuxt-app/issues/466)) ([1d7d0c4](https://github.com/nuxt-community/create-nuxt-app/commit/1d7d0c4cdfdf8d2a04fd7afb12937bb3fcf61472))
* **template:** support package.json and handler ([#467](https://github.com/nuxt-community/create-nuxt-app/issues/467)) ([ff37dc8](https://github.com/nuxt-community/create-nuxt-app/commit/ff37dc85672f55b2441ef6612b5917ca0b32b4f5))
* **templates:** deprecate server templates ([#501](https://github.com/nuxt-community/create-nuxt-app/issues/501)) ([c60f39e](https://github.com/nuxt-community/create-nuxt-app/commit/c60f39e9fee49bcd4306217ec732b45d9d706c27))
* migrate to monorepo ([#458](https://github.com/nuxt-community/create-nuxt-app/issues/458)) ([64991bb](https://github.com/nuxt-community/create-nuxt-app/commit/64991bba05b208e5078c8101c5adac55f2100ff2))
